Bug 246525 - editors/emacs-devel fails to build in poudriere on 12.1 Stable amd64 with error fallthrough annotation does not directly precede switch label
Summary: editors/emacs-devel fails to build in poudriere on 12.1 Stable amd64 with err...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-17 12:02 UTC by Robert Cina
Modified: 2020-05-19 04:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (emacs)


Attachments
Probable fix (2.58 KB, patch)
2020-05-18 19:49 UTC, Ashish SHUKLA
no flags Details | Diff
Probable fix (3.44 KB, patch)
2020-05-18 19:51 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Cina 2020-05-17 12:02:12 UTC
The port editors/emacs-devel fails to build with poudriere on my 12.1 Stable amd64 system giving an error fallthrough annotation does not directly precede switch label. 

The error reported by the build log is as follows:

gmake[2]: Entering directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173/lib-src'
cc   -Wno-switch -Wno-pointer-sign -Wno-string-plus-int -Wno-unknown-attributes -Wno-initializer-overrides -Wno-tautological-compare -Wno-tautological-constant-out-of-range-compare  -I. -I../src -I../lib -I. -I./../src -I./../lib  -fstack-protector-strong -L/usr/local/lib  -L/usr/local/lib -isystem /usr/local/include -O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -o etags etags.c  ../lib/libgnu.a -lutil
error: fallthrough annotation does not directly precede switch label
1 error generated.
gmake[2]: *** [Makefile:366: etags] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173/lib-src'
gmake[1]: *** [Makefile:411: lib-src] Error 2
makeinfo --force -I./../emacs --no-split -o ../../info/ccmode.info cc-mode.texi
gmake[1]: *** Waiting for unfinished jobs....
/bin/mkdir -p ./info
(cd ./doc && \
 AWK='/usr/bin/awk' ../build-aux/make-info-dir ../build-aux/dir_top emacs/emacs.texi lispintro/emacs-lisp-intro.texi lispref/elisp.texi misc/auth.texi misc/autotype.texi misc/bovine.texi misc/calc.texi misc/cc-mode.texi misc/cl.texi misc/dbus.texi misc/dired-x.texi misc/doclicense.texi misc/ebrowse.texi misc/ede.texi misc/ediff.texi misc/edt.texi misc/efaq-w32.texi misc/efaq.texi misc/eieio.texi misc/emacs-gnutls.texi misc/emacs-mime.texi misc/epa.texi misc/erc.texi misc/ert.texi misc/eshell.texi misc/eudc.texi misc/eww.texi misc/flymake.texi misc/forms.texi misc/gnus-coding.texi misc/gnus-faq.texi misc/gnus.texi misc/gpl.texi misc/htmlfontify.texi misc/idlwave.texi misc/ido.texi misc/info.texi misc/mairix-el.texi misc/message.texi misc/mh-e.texi misc/newsticker.texi misc/nxml-mode.texi misc/octave-mode.texi misc/org.texi misc/pcl-cvs.texi misc/pgg.texi misc/rcirc.texi misc/reftex.texi misc/remember.texi misc/sasl.texi misc/sc.texi misc/sem-user.texi misc/semantic.texi misc/ses.texi misc/sieve.texi misc/smtpmail.texi misc/speedbar.texi misc/srecode.texi misc/todo-mode.texi misc/tramp.texi misc/trampver.texi misc/url.texi misc/vhdl-mode.texi misc/vip.texi misc/viper.texi misc/widget.texi misc/wisent.texi misc/woman.texi \
) >info/dir.tmp && mv info/dir.tmp info/dir
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/cl.info cl.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/dbus.info dbus.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/dired-x.info dired-x.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/ebrowse.info ebrowse.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/ede.info ede.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/ediff.info ediff.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/edt.info edt.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/eieio.info eieio.texi
makeinfo --force -I./../emacs --no-split --enable-encoding \
  -o ../../info/emacs-mime.info emacs-mime.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/epa.info epa.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/erc.info erc.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/ert.info ert.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/eshell.info eshell.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/eudc.info eudc.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/efaq.info efaq.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/eww.info eww.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/flymake.info flymake.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/forms.info forms.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/gnus.info gnus.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/emacs-gnutls.info emacs-gnutls.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/htmlfontify.info htmlfontify.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/idlwave.info idlwave.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/ido.info ido.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/info.info info.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/mairix-el.info mairix-el.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/message.info message.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/mh-e.info mh-e.texi
gmake[3]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173/doc/emacs'
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/newsticker.info newsticker.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/nxml-mode.info nxml-mode.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/octave-mode.info octave-mode.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/org.info org.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/pcl-cvs.info pcl-cvs.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/pgg.info pgg.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/rcirc.info rcirc.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/remember.info remember.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/reftex.info reftex.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/sasl.info sasl.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/sc.info sc.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/semantic.info semantic.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/ses.info ses.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/sieve.info sieve.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/smtpmail.info smtpmail.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/speedbar.info speedbar.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/srecode.info srecode.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/todo-mode.info todo-mode.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/tramp.info tramp.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/url.info url.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/vhdl-mode.info vhdl-mode.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/vip.info vip.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/viper.info viper.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/widget.info widget.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/wisent.info wisent.texi
makeinfo --force -I./../emacs --no-split  \
  -o ../../info/woman.info woman.texi
makeinfo --force -I./../emacs --no-split -o ../../info/efaq-w32.info efaq-w32.texi
gmake[3]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173/doc/misc'
gmake[3]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173/doc/lispref'
gmake[2]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173'
gmake[1]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-devel/work-full/emacs-a467173'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/emacs-devel
=>> Cleaning up wrkdir
===>  Cleaning for emacs-devel-28.0.50.20200514,2
build of editors/emacs-devel | emacs-devel-28.0.50.20200514,2 ended at Sun May 17 07:00:53 EDT 2020
build time: 00:03:13
!!! build failure encountered !!!
Comment 1 Ashish SHUKLA freebsd_committer 2020-05-17 16:32:52 UTC
Thanks for letting us know. Going to try to reproduce it with clang 10.0.
Comment 2 Ashish SHUKLA freebsd_committer 2020-05-18 19:49:26 UTC
Created attachment 214606 [details]
Probable fix

Could you see if the attached diff resolves the issue for you ? I have only tested it with devel/llvm10 port on my 12.1-RELEASE host, and there it seems to build fine now.

Thanks!
Comment 3 Ashish SHUKLA freebsd_committer 2020-05-18 19:51:01 UTC
Created attachment 214607 [details]
Probable fix

Sorry, missed a file in the previous diff. Please try this one.

Thanks!
Comment 4 Robert Cina 2020-05-18 20:08:39 UTC
I can confirm that your patch fixes the issue. The port now builds. Thanks!
Comment 5 Ashish SHUKLA freebsd_committer 2020-05-19 04:24:40 UTC
Thanks for testing.

Fix is committed in r535805[1].

References:
[1] https://svnweb.freebsd.org/changeset/ports/535805